#!/bin/bash

echo "Copying environment variables..."
cp override/core.example.env core/.env
cp override/drupal.example.env drupal/.env
cp override/gitlab.example.env gitlab/.env
cp override/nextcloud.example.env nextcloud/.env
cp override/onlyoffice.example.env onlyoffice/.env
cp override/openproject.example.env openproject/.env
echo "Environment variables copied"

echo "Copying docker-compose.override.yml..."
cp override/mailcow.docker-compose.override.yml mailcow/docker-compose.override.yml
cp override/nextcloud.docker-compose.override.yml nextcloud/docker-compose.override.yml
cp override/onlyoffice.docker-compose.override.yml onlyoffice/docker-compose.override.yml
cp override/openproject.docker-compose.override.yml openproject/docker-compose.override.yml
echo "docker-compose.override.yml copied"

echo "Copying hooks..."
cp override/nextcloud/hooks/post-installation/set-configs.sh nextcloud/hooks/post-installation/set-configs.sh
echo "Hooks copied"
